/* USER CODE BEGIN 1 */
/*
 * HAL_adc.h
 *
 *  Created on: 11. 3. 2018
 *      Author: Dušan Benda
 */

#ifndef HAL_ADC_H_
#define HAL_ADC_H_

#include "HAL_layer_LED.h"
#include "HAL_layer_io.h"
#include "HAL_layer_protection.h"

uint16_t HAL_return_ADC_calibration_value(void);
void HAL_ADC_ConvCpltCallback(ADC_HandleTypeDef* hadc);
void HAL_ADC_Init_DMA(void);
void HAL_new_ADC_samples(void);
uint16_t HAL_recalculate_ADC_12V_mV(void);
uint16_t HAL_recalculate_ADC_3_3V_mV(void);
uint16_t HAL_recalculate_ADC_temp_LT3992(void);

#endif /* HAL_ADC_H_ */

/* USER CODE END 1 */
